Could not build example projects

2021-04-09 13:08 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: IAV Affected Products: ADTF 3.11.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Ich bekomme einen Fehler beim Kompilieren des examples-Projektes, die Ausgabe von Visual Studio (V15.9.34) ist am Ende des

Textes angefügt.

Es scheint u.a. ein Problem mit dem adtf_xsystem.adtfplugin zu geben. Auch beim Ausführen der Demo Playback Session erscheint

dadurch ein Laufzeitfehler (Screenshot angefügt)

Bei einem Blick in

"D:\Programme\ADTF\3.11.2\build\src\ui\adtf_xsystem\adtf_xsystem_pdgen.vcxproj"

in die Zeile

"..\..\..\..\pkg\adtfhtmltransform\bin\adtf_plugin_description_converter.exe -p

D:/Programme/ADTF/3.11.2/build/src/ui/adtf_xsystem/$(Configuration)/adtf_xsystem.plugindescription -d

D:/Programme/ADTF/3.11.2/build/src/doxygen/generated -c -v"

soll auf eine adtf_xsystem.plugindescription zugegriffen werden, welche nicht existiert.

Über eine Lösung des Problems wäre ich sehr dankbar!

Visual Studio Ausgabe:

1>------ Erstellen gestartet: Projekt: qt_key_event_runner_pdgen, Konfiguration: RelWithDebInfo x64 ------

2>------ Erstellen gestartet: Projekt: adtf_xsystem_pdgen, Konfiguration: RelWithDebInfo x64 ------

3>------ Erstellen gestartet: Projekt: demo_adtf2_video_decompressor_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

4>------ Erstellen gestartet: Projekt: demo_code_generation_filters_pdgen, Konfiguration: RelWithDebInfo x64 ------

5>------ Erstellen gestartet: Projekt: demo_custom_stream_type_filters_pdgen, Konfiguration: RelWithDebInfo x64 ------

6>------ Erstellen gestartet: Projekt: demo_data_load_generator_pdgen, Konfiguration: RelWithDebInfo x64 ------

7>------ Erstellen gestartet: Projekt: demo_data_triggered_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

8>------ Erstellen gestartet: Projekt: demo_deserializer_support_service_pdgen, Konfiguration: RelWithDebInfo x64 ------

2>Generating RelWithDebInfo/adtf_xsystem.plugindescription

1>generating dox file from plugindescription file 'qt_key_event_runner.plugindescription'

6>generating dox file from plugindescription file 'demo_data_load_generator.plugindescription'

5>generating dox file from plugindescription file 'demo_custom_stream_type_filters.plugindescription'

3>generating dox file from plugindescription file 'demo_adtf2_video_decompressor_filter.plugindescription'

4>generating dox file from plugindescription file 'demo_code_generation_filters.plugindescription'

7>generating dox file from plugindescription file 'demo_data_triggered_filter.plugindescription'

8>generating dox file from plugindescription file 'demo_deserializer_support_service.plugindescription'

9>------ Erstellen gestartet: Projekt: demo_interface_binding_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

10>------ Erstellen gestartet: Projekt: demo_interface_source_pdgen, Konfiguration: RelWithDebInfo x64 ------

11>------ Erstellen gestartet: Projekt: demo_legacy_data_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

12>------ Erstellen gestartet: Projekt: demo_legacy_udp_services_pdgen, Konfiguration: RelWithDebInfo x64 ------

13>------ Erstellen gestartet: Projekt: demo_legacy_virtual_clock_pdgen, Konfiguration: RelWithDebInfo x64 ------

14>------ Erstellen gestartet: Projekt: demo_md_data_generator_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

15>------ Erstellen gestartet: Projekt: demo_md_dumper_filter_pdgen, Konfiguration: RelWithDebInfo x64 ------

9>generating dox file from plugindescription file 'demo_interface_binding_filter.plugindescription'

10>generating dox file from plugindescription file 'demo_interface_source.plugindescription'

12>generating dox file from plugindescription file 'demo_legacy_udp_services.plugindescription'

14>generating dox file from plugindescription file 'demo_md_data_generator_filter.plugindescription'

15>generating dox file from plugindescription file 'demo_md_dumper_filter.plugindescription'

16>------ Erstellen gestartet: Projekt: demo_player_control_view_pdgen, Konfiguration: RelWithDebInfo x64 ------
17>------ Erstellen gestartet: Projekt: demo_property_extension_pdgen, Konfiguration: RelWithDebInfo x64 ------

18>------ Erstellen gestartet: Projekt: demo_qt_media_description_display_pdgen, Konfiguration: RelWithDebInfo x64 ------

19>------ Erstellen gestartet: Projekt: demo_qt_video_display_pdgen, Konfiguration: RelWithDebInfo x64 ------

20>------ Erstellen gestartet: Projekt: demo_rec_ctrl_view_pdgen, Konfiguration: RelWithDebInfo x64 ------

2>2021-04-09 14:30:54 [INFO]: Try to load "D:\Programme\ADTF\3.11.2\bin\adtf_core.adtfplugin" [runtime.cpp(1788)]

2>2021-04-09 14:30:54 [INFO]: Loaded plugin: "D:\Programme\ADTF\3.11.2\bin\adtf_core.adtfplugin" (Build Type: Release)

[runtime.cpp(1895)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "session_manager.service.adtf.cid". ( 1 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "rpc_object_registry.service.adtf.cid". ( 2 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "core_sample_stream_tracer.service.adtf.cid". ( 3 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]: Try to load "D:\Programme\ADTF\3.11.2\bin\default_core_objects.adtfplugin"

[runtime.cpp(1788)]

2>2021-04-09 14:30:54 [INFO]: Loaded plugin: "D:\Programme\ADTF\3.11.2\bin\default_core_objects.adtfplugin" (Build Type:

Release) [runtime.cpp(1895)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "default_sample_stream.streaming.adtf.cid". ( 4 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "default_thread_runner.streaming.adtf.cid". ( 5 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "default_timer_runner.streaming.adtf.cid". ( 6 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "default_binding_proxy.streaming.adtf.cid". ( 7 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "sample_stream_merger.streaming.adtf.cid". ( 8 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "substream_selector.streaming.adtf.cid". ( 9 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "substream_assembler.streaming.adtf.cid". ( 10 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "substream_merger.streaming.adtf.cid". ( 11 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "substream_dissector.streaming.adtf.cid". ( 12 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "thread_mapper.streaming.adtf.cid". ( 13 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "thread_invoker.streaming.adtf.cid". ( 14 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "thread_reducer.streaming.adtf.cid". ( 15 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]: Try to load "D:\Programme\ADTF\3.11.2\bin\adtf_media_description.adtfplugin"

[runtime.cpp(1788)]

2>2021-04-09 14:30:54 [INFO]: Loaded plugin: "D:\Programme\ADTF\3.11.2\bin\adtf_media_description.adtfplugin" (Build Type:

Release) [runtime.cpp(1895)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "media_description.service.adtf.cid". ( 16 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]: Try to load "D:\Programme\ADTF\3.11.2\bin\adtf_kernel.adtfplugin" [runtime.cpp(1788)]

2>2021-04-09 14:30:54 [INFO]: Loaded plugin: "D:\Programme\ADTF\3.11.2\bin\adtf_kernel.adtfplugin" (Build Type: Release)

[runtime.cpp(1895)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "kernel.service.adtf.cid". ( 17 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]: Try to load "D:\Programme\ADTF\3.11.2\bin\adtf_clock.adtfplugin" [runtime.cpp(1788)]

2>2021-04-09 14:30:54 [INFO]: Loaded plugin: "D:\Programme\ADTF\3.11.2\bin\adtf_clock.adtfplugin" (Build Type: Release)

[runtime.cpp(1895)]

2>2021-04-09 14:30:54 [INFO]:     Registered class "reference_clock.service.adtf.cid". ( 18 ) [runtime.cpp(2182)]

2>2021-04-09 14:30:54 [INFO]: Using settings from:

C:\Users\tkoester\AppData\Local\Digitalwerk\ADTF-Configuration-Editor_3.11.2\adtf_configuration_editor.cesettings

[main.cpp(601)]

2>2021-04-09 14:30:57 [INFO]: Started UCOM runtime [runtime.cpp(1063)]

2>2021-04-09 14:30:57 [INFO]: Switched main clock to 'adtf'. [clock_srv.cpp(353)]

2>2021-04-09 14:30:57 [INFO]: Switched stream clock to 'adtf_stream'. [clock_srv.cpp(392)]

2>2021-04-09 14:30:57 [INFO]: Initializing service "reference_clock.services.adtf" [runtime.cpp(765)]

2>2021-04-09 14:30:57 [INFO]: No RPC Object Registry available to register clock for RPC calls [clock_srv.cpp(173)]

2>2021-04-09 14:30:57 [ERROR]: Could not register plugin in runtime Result code '-27 '(ERR_OPEN_FAILED) - Could not load

plugin "D:\Programme\ADTF\3.11.2\bin\adtf_xsystem.adtfplugin", Die angegebene Prozedur wurde nicht gefunden.

2>

2> [File: c:\j\workspace\dtf-builder_release_3.11.2_lucky\repo\src\libraries\ucom3\src\runtime.cpp] [Line: 1833] [Func:

adtf::ucom::ant::detail::cRuntime::cRuntimePrivate::LoadPluginImpl]

2> [File: c:\j\workspace\dtf-builder_release_3.11.2_lucky\repo\src\libraries\ucom3\src\runtime.cpp] [Line: 1359] [Func:

adtf::ucom::ant::detail::cRuntime::cRuntimePrivate::RegisterPlugin] [main.cpp(161)]

2>2021-04-09 14:30:57 [ERROR]: Result code '-27 '(ERR_OPEN_FAILED) - Could not load plugin

"D:\Programme\ADTF\3.11.2\bin\adtf_xsystem.adtfplugin", Die angegebene Prozedur wurde nicht gefunden.

 Lösung

Es wurde versehentich Qt 5.15.2 statt Qt 5.12.9 verwendet

History

#1 - 2021-04-13 07:51 - hidden

- Project changed from Public Support to 4
- Status changed from New to In Progress

- Customer set to AUDI

- Department set to IAV

#2 - 2021-04-16 14:23 - hidden

Hallo zusammen,

ich möchte mich kurz erkundigen, ob es bereits Fortschritte bei der Lösung dieses Problems gibt.

Vielen Dank und beste Grüße,

Tobias Köster

#3 - 2021-04-16 15:18 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Tobias,

ist uns nicht nachvollziehbar.

Das Xsystem (adtfplugin, plugindescription) wird mit ausgeliefert und muss im bin Ordner liegen.

Tut es das bei dir nicht ? Wenn ja, ist beim Download/Entpacken was schief gegangen.

Wenn dem so, kannst du ADTF nochmal herunterladen ?

Dann gleich die Session starten. Wenn ja, geht das ?

Wenn nein, hast eine VCRedistributable installiert ?

Wenn ja, welche Version ?

Siehe https://support.digitalwerk.net/adtf/v3/adtf_html/page_system_requirements.html

Auch die Build Fehler passen nicht ins Build, welche VS Version und Compiler nutzt du ?

Wo hast du das Qt Package her, dass du zum (Re)Build des XSystems bzw. der Examples brauchst ?

Hast du die Solution mit dem batch file erstellt ?

Wenn das alles passt, auch im zweiten Versuch nicht geht...

Du hast ein ganz normales Windows 10 64 Bit, kein Remote, IoT, CLoud... irgendwas ?

#5 - 2021-04-21 09:20 - hidden

Hallo Florian,

vielen Dank für deine Antwort. Nach erneutem Herunterladen ist die Datei vorhanden und die Demo Sessions lassen sich problemlos ausführen.

Wenn ich die build_examples.bat ausführe und dann das Projekt im build Verzeichnis mit Visual Studio öffne und baue, erscheinen die oben

genannten Fehler. Auch das Ausführen der Sessions funktioniert dann wie oben beschrieben nicht mehr.

Ich habe noch folgende Fragen. Vielleicht kannst du mir da helfen:

- Muss ich nach dem Bauen der .sln noch etwas beachten? Z.B. neue Sessions erstellen, Dateien anpassen oder ein neues Projekt erstellen? Ich

nutze nach dem bauen der Examples ebenfalls das Projekt \src\examples\projects\adtf_example_project

- Aus welchen Gründen ist es ratsam/notwendig, die examples mit der batch zu erstellen, wenn sie schon in der ADTF Installation vorhanden und

nutzbar sind?

- Ist es möglich, dass etwas in der QT Installation fehlt, was für ADTF benötigt wird?

Mein Setup ist folgendes:

Normales Windows 10 64 Bit

Visual Studio 2017 V15.9.34, VC141

CMake 3.20.0

Ich habe QT 5.15.2 heruntergeladen (Link: 

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FQt%2F5.15.2%2Fstable%2F4af981fa4dc3b226a583004325e45b

5d%2Fpackage%2F15af85373a5688417675aa1e5065700263bf257e%2Fbd63c7565b7fd6aa88198ec572c06355%2Fconan_package.tgz)

#6 - 2021-04-21 11:09 - hidden

- Topic set to ADTF::Common

Hallo Tobias,

vielen Dank für deine Antwort. Nach erneutem Herunterladen ist die Datei vorhanden und die Demo Sessions lassen sich problemlos ausführen.

 Wunderbar !

Wenn ich die build_examples.bat ausführe und dann das Projekt im build Verzeichnis mit Visual Studio öffne und baue, erscheinen die oben

genannten Fehler. Auch das Ausführen der Sessions funktioniert dann wie oben beschrieben nicht mehr.
 Siehe unten Qt

Muss ich nach dem Bauen der .sln noch etwas beachten? Z.B. neue Sessions erstellen, Dateien anpassen oder ein neues Projekt

erstellen? Ich nutze nach dem bauen der Examples ebenfalls das Projekt \src\examples\projects\adtf_example_project

 Das muss alles genauso funktionieren wie vorher

Aus welchen Gründen ist es ratsam/notwendig, die examples mit der batch zu erstellen, wenn sie schon in der ADTF Installation vorhanden

und nutzbar sind?

 Du kannst alles out of the box verwenden, Neukompilieren macht nur Sinn zum Debuggen, anpassen oder als Grundlage für eigene Filter.

Ist es möglich, dass etwas in der QT Installation fehlt, was für ADTF benötigt wird?

 Nein, aber die version muss passen, und auch beim Build und Laufzeit identisch sein, siehe unten.

Ich habe QT 5.15.2 heruntergeladen (Link: 

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FQt%2F5.15.2%2Fstable%2F4af981fa4dc3b226a583004325

e45b5d%2Fpackage%2F15af85373a5688417675aa1e5065700263bf257e%2Fbd63c7565b7fd6aa88198ec572c06355%2Fconan_package.tgz)

 Das erklärt den Fehler

2>2021-04-09 14:30:57 [ERROR]: Result code '-27 '(ERR_OPEN_FAILED) - Could not load plugin "D:\Programme\ADTF\

3.11.2\bin\adtf_xsystem.adtfplugin", Die angegebene Prozedur wurde nicht gefunden.

 ADTF unterstützt derzeit nur Qt 5.12.9 -> https://support.digitalwerk.net/adtf/v3/adtf_html/page_external_dependencies.html

Theoretisch müsstest du auch ein Qt 5.15.2 verwenden können (da ja ABI kompatibel), dann musst du das aber auch im 3rd Party Ordner von ADTF

tauschen, sonst passen die Abhängigkeiten fürs Xsystem zur Laufzeit nicht (siehe Fehlermeldung). Davon würde ich aber abraten, da Qt 5.15.x mit

VS2019 kompiliert wurde und v.a. im Debug dann nicht mehr 2017 kompatibel ist und andere fallstricke bieten kann. Ein Umstieg auf 5.15.2 ist aber

geplant, deshalb liegt es da auch schon drin. Bitte switche auf 5.12.9, dann sollte alles gehen (build scheint ja zu passen, nur das Laden zur

Generierung der Plugin Description nicht... das rundet die Fehlermeldung nachvollziehbar ab).

#7 - 2021-04-23 09:37 - hidden

- File qt_fehlermeldung.PNG added

Hallo Florian,

mit einem Umstieg auf QT 5.12.9 baut das gesamte Projekt. Vielen lieben Dank für die Hilfe!

Die Visual Studio Ausgabe sagt zwar, dass alles ohne Fehler gebaut wurde und in ADTF scheinen die Sessions auch zu funktionieren, aber in der VS

Fehlerausgabe erscheint die Meldung, die ich angehängt habe.

Es handelt sich um den qt Event Runner, welchen ich auch demnächst gerne in meinem eigenen Projekt nutzen möchte.

Ist dazu eine Lösung bekannt?

Viele Grüße,

Tobias

#8 - 2021-04-23 09:41 - hidden

Hallo Tobias,

Ist dazu eine Lösung bekannt?

 Den Fehler kannst du ignrieren, das kommt von Visual Studio selbst.

Du kannst der Visual Studio Ausgabe vertrauen, wenn hier Fehler 0, dann 0.

#9 - 2021-04-23 09:43 - hidden

Hallo Florian,

dann weiß ich Bescheid und bedanke mich noch einmal herzlich für die Hilfestellung.

Beste Grüße,

Tobias

#10 - 2021-04-23 09:47 - hidden

- Project changed from 4 to Public Support
- Subject changed from Probleme mit *_pdgen - Projekten to Could not build example projects

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hallo Tobias,

dann weiß ich Bescheid und bedanke mich noch einmal herzlich für die Hilfestellung.

 Wunderbar wenns läuft !

#11 - 2021-04-23 09:47 - hidden

- Status changed from To Be Closed to Closed

Files

Fehler.PNG 10.3 KB 2021-04-09 hidden

RuntimeException.PNG 49 KB 2021-04-09 hidden

qt_fehlermeldung.PNG 13.8 KB 2021-04-23 hidden
